using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class Spawner : MonoBehaviour
{
	public Prefab obj1;
    public Prefab obj2;
    public Prefab obj3;

    public float timer;
    private float time;

    public float minTimer;

    private Vector3 spawnPos;


    void Update()
    {
        timer -= 0.01f;
        if(timer <= minTimer)
        {
            timer = minTimer;
        }
    }
    void FixedUpdate()
    {

        time++;
        if(time >= timer)
        {
            spawnPos = new Vector3(FalcoEngine.Random.Range(-20, 20), transform.position.y, transform.position.z);
            int whatObjToSpawn = FalcoEngine.Random.Range(1, 4);
            if(whatObjToSpawn == 1)
            {
                obj1.Instantiate(spawnPos, Quaternion.identity);
            }
            if (whatObjToSpawn == 2)
            {
                obj2.Instantiate(spawnPos, Quaternion.identity);
            }
            if (whatObjToSpawn == 3)
            {
                obj3.Instantiate(spawnPos, Quaternion.identity);
            }
            time = 0;
        }
    }
}
